Package org.apache.solr.client.solrj.routing

# Class PreferenceRule

java.lang.Object
org.apache.solr.client.solrj.routing.PreferenceRule

public class PreferenceRule extends Object

## Field Summary

Fields
Modifier and Type
Field
Description
`final String`
`name`
`final String`
`value`

## Constructor Summary

Constructors
Constructor
Description
`PreferenceRule(String name, String value)`

## Method Summary

Modifier and Type
Method
Description
`static List<PreferenceRule>`
`from(String rules)`
`String`
`toString()`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

## Field Details

### name

public final String name

### value

public final String value

## Constructor Details

### PreferenceRule

public PreferenceRule(String name, String value)

## Method Details

### from

public static List<PreferenceRule> from(String rules)

### toString

public String toString()

Overrides:
  `toString` in class `Object`